%global base_version 2.21
%define mod_name threads
Name:           perl-%{mod_name}
Epoch:          2
Version:        2.26
Release:        2
Summary:        Perl interpreter-based threads
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/%{mod_name}-%{version}.tar.gz#/%{mod_name}-2.21.tar.gz

Patch6000:      backport-Upgrade-2.22.patch
Patch6001:      backport-Upgrade-2.25.patch
Patch6002:		backport-Upgrade-2.26.patch

BuildRequires:  perl-devel perl-generators perl-interpreter gcc
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(ExtUtils::testlib) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
Since Perl 5.8, thread programming has been available using a model called
interpreter threads which provides a new Perl interpreter for each thread,
and, by default, results in no data or state information being shared
between threads.

(Prior to Perl 5.8, 5005threads was available through the "Thread.pm" API.
This threading model has been deprecated, and was removed as of Perl 5.10.0.)

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch
Requires:	man

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{mod_name}-%{base_version} -p1

chmod -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot} 
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*

%files help
%doc Changes examples
%{_mandir}/man3/*

%changelog
* Mon Oct 24 2022 yangmingtai <yangmingtai@huawei.com> - 2:2.26-2
- define mod_name to opitomize the specfile

* Sun Dec 26 2021 guozhaorui <guozhaorui1@huawei.com> - 2:2.26-1
- update version to 2.26

* Mon Jun 28 2021 yuanxin<yuanxin24@huawei.com> - 2:2.21-3
- add buildrequires gcc

* Fri Sep 4 2020 shixuantong <shixuantong@huawei.com> - 2:2.21-2
- Type: NA
- ID: NA
- SUG: NA
- DESC: update Source0

* Fri Jul 24 2020 shenyangyang <shenyangyang4@huawei.com> - 2:2.21-1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: downgrade to stable version

* Fri Sep 27 2019 luhuaxin <luhuaxin@huawei.com> - 1:2.22-419
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move README file to main package

* Wed Sep 11 2019 luhuaxin <luhuaxin@huawei.com> - 1:2.22-418
- Package init
